%define	major 3
%define	libname %mklibname mikmod %{major}
%define develname %mklibname mikmod -d

Summary:	Sound library supporting multiple module formats and digital sound files
Name:		libmikmod
Version:	3.3.11
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://mikmod.sourceforge.net/
Source0:	http://sourceforge.net/projects/mikmod/files/libmikmod/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	alsa-lib-devel
BuildRequires:	automake1.8

%description
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include 669, AMF, APUN, DSM, FAR, GDM, IT, IMF,MOD,
MED, MTM, OKT, S3M, STM, STX, ULT, UNI and XM.
Full source included, use of this library for music/sound effects in
your own programs is encouraged !

%package -n	%{libname}
Summary:	Sound library supporting multiple module formats and digital sound files
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include 669, AMF, APUN, DSM, FAR, GDM, IT, IMF,MOD,
MED, MTM, OKT, S3M, STM, STX, ULT, UNI and XM.
Full source included, use of this library for music/sound effects in
your own programs is encouraged !

%package -n	%{develname}
Summary:	Development related files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname mikmod 2 -d}

%description -n	%{develname}
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include 669, AMF, APUN, DSM, FAR, GDM, IT, IMF,MOD,
MED, MTM, OKT, S3M, STM, STX, ULT, UNI and XM.
Full source included, use of this library for music/sound effects in
your own programs is encouraged!

Install the limikmod-devel package if you want to develop applications that
will use the limikmod library.

%prep

%setup -q

%build
libtoolize --copy --force --install
autoreconf -fi

%configure2_5x
%make

%install
%makeinstall

chmod 755 %{buildroot}%{_libdir}/lib*.so.%{major}*

%multiarch_binaries %{buildroot}%{_bindir}/libmikmod-config

%files -n %{libname}
%doc AUTHORS COPYING.LESSER COPYING.LIB
%{_libdir}/libmikmod.so.%{major}{,.*}

%files -n %{develname}
%doc INSTALL NEWS README TODO
%{_bindir}/libmikmod-config
%multiarch %{multiarch_bindir}/libmikmod-config
%{_libdir}/pkgconfig/libmikmod.pc
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/aclocal/*
%{_includedir}/*
%{_mandir}/man1/*
%{_infodir}/*


%changelog
* Sat Jun 17 2017 luigiwalser <luigiwalser> 3.3.11-1.mga6
+ Revision: 1107839
- 3.3.11

* Sat Sep 10 2016 luigiwalser <luigiwalser> 3.3.10-1.mga6
+ Revision: 1051188
- 3.3.10

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Nov 26 2015 shlomif <shlomif> 3.3.8-1.mga6
+ Revision: 906201
- New version 3.3.8

* Wed Oct 15 2014 umeabot <umeabot> 3.3.7-4.mga5
+ Revision: 749412
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.3.7-3.mga5
+ Revision: 726750
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.3.7-2.mga5
+ Revision: 681602
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 luigiwalser <luigiwalser> 3.3.7-1.mga5
+ Revision: 673303
- 3.3.7

* Sat Mar 22 2014 luigiwalser <luigiwalser> 3.3.6-1.mga5
+ Revision: 606506
- 3.3.6

* Wed Feb 12 2014 sander85 <sander85> 3.3.5-1.mga5
+ Revision: 589773
- update to

* Sat Dec 14 2013 luigiwalser <luigiwalser> 3.3.4-1.mga4
+ Revision: 556814
- 3.3.4
- remove upstreamed patch

* Mon Oct 21 2013 umeabot <umeabot> 3.3.2-2.mga4
+ Revision: 539727
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 luigiwalser <luigiwalser> 3.3.2-1.mga4
+ Revision: 492833
- 3.3.2

* Sat Jan 12 2013 umeabot <umeabot> 3.2.0-4.mga3
+ Revision: 357756
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 3.2.0-3.mga3
+ Revision: 339244
- patch2: fix build with automake 1.13

* Fri Nov 30 2012 ovitters <ovitters> 3.2.0-2.mga3
+ Revision: 323405
- clean spec
- fix rpm group

* Fri Jun 01 2012 shlomif <shlomif> 3.2.0-1.mga3
+ Revision: 252908
- New version 3.2.0 - (non-beta)

* Mon May 09 2011 misc <misc> 3.2.0-0.beta2.9.mga1
+ Revision: 96695
- drop uneeded BuildRequires ( texinfo, esd )
- drop patch on esd, as we no longer provides it

* Sun May 01 2011 misc <misc> 3.2.0-0.beta2.8.mga1
+ Revision: 94038
- rebuild again to have higher Release than mandriva

* Sat Apr 30 2011 misc <misc> 3.2.0-0.beta2.7.mga1
+ Revision: 93993
- add security patch from Mandriva stable, taken from Debian
- increase release to let upgrade from Mandriva

* Sat Jan 15 2011 supp <supp> 3.2.0-0.beta2.1.mga1
+ Revision: 19049
- imported package libmikmod

